Name:           easyeffects
Version:        7.0.0
Release:        %mkrel 3
Summary:        Audio equalizer, filters and effects for pipewire applications
License:        GPLv3
Group:          Sound/Mixers
Url:            https://github.com/wwmm/easyeffects
Source0:        https://github.com/wwmm/easyeffects/archive/v%{version}/easyeffects-%{version}.tar.gz

BuildRequires:  appstream-util
BuildRequires:  boost-devel >= 1.72
BuildRequires:  desktop-file-utils
BuildRequires:  itstool
BuildRequires:  libxml2-utils
BuildRequires:  meson
BuildRequires:  pkgconfig(gsl)
BuildRequires:  pkgconfig(fftw3)
BuildRequires:  pkgconfig(fmt)
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(gtkmm-4.0)
BuildRequires:  pkgconfig(glibmm-2.68)
BuildRequires:  pkgconfig(gstreamer-1.0) >= 1.12
BuildRequires:  pkgconfig(gstreamer-plugins-bad-1.0) >= 1.12
BuildRequires:  json-devel
BuildRequires:  pkgconfig(libadwaita-1)
BuildRequires:  pkgconfig(libbs2b)
BuildRequires:  pkgconfig(libebur128)
BuildRequires:  pkgconfig(lilv-0)
BuildRequires:  pkgconfig(libpipewire-0.3)
BuildRequires:  pkgconfig(rnnoise)
BuildRequires:  pkgconfig(rubberband)
BuildRequires:  pkgconfig(samplerate)
BuildRequires:  pkgconfig(sigc++-2.0)
BuildRequires:  pkgconfig(sndfile)
BuildRequires:  pkgconfig(speex)
BuildRequires:  pkgconfig(speexdsp)
BuildRequires:  pkgconfig(tbb)
BuildRequires:  zita-convolver-devel >= 3.1.0

Requires:       gstreamer1.0-ladspa >= 1.12
Requires:       gstreamer1.0-plugins-good >= 1.12
Requires:       ladspa-plugins-swh >= 0.4
Requires:       lv2-calf-plugins >= 0.90.0

Recommends:     mda-lv2
Recommends:     ladspa-zam-plugins
Recommends:     lv2-zam-plugins
Recommends:     rubberband
Recommends:     zam-plugins
Recommends:     lsp-plugins

%description
Limiters, compressor, reverberation, high-pass filter, low pass filter,
equalizer many more effects for PipeWire applications.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

desktop-file-install %{buildroot}%{_datadir}/applications/com.github.wwmm.%{name}.desktop \
    --add-category='X-Mageia-CrossDesktop' \
    --dir=%{buildroot}%{_datadir}/applications

%find_lang %{name} --all-name --with-gnome

%files -f %{name}.lang
%doc LICENSE README.md
%{_bindir}/easyeffects
%{_datadir}/applications/com.github.wwmm.easyeffects.desktop
%{_datadir}/glib-2.0/schemas/com.github.wwmm.easyeffects*.gschema.xml
%{_datadir}/icons/hicolor/*/apps/com.github.wwmm.easyeffects*.svg
%{_metainfodir}/com.github.wwmm.easyeffects.metainfo.xml
%{_datadir}/dbus-1/services/com.github.wwmm.easyeffects.service


%changelog
* Sun Jan 29 2023 wally <wally> 7.0.0-3.mga9
+ Revision: 1936763
- don't own hicolor icon theme dirs

* Thu Dec 29 2022 daviddavid <daviddavid> 7.0.0-2.mga9
+ Revision: 1927502
- rebuild for new gsl 2.7.1

* Thu Nov 17 2022 tv <tv> 7.0.0-1.mga9
+ Revision: 1908505
- Update to 7.0.0

* Wed Oct 12 2022 papoteur <papoteur> 6.3.0-2.mga9
+ Revision: 1896388
- Rebuild for fmt 9

* Fri Sep 09 2022 barjac <barjac> 6.3.0-1.mga9
+ Revision: 1886142
- new version 6.3.0

* Tue Aug 02 2022 barjac <barjac> 6.2.8-1.mga9
+ Revision: 1874314
- new version 6.2.8
  update files list

* Sat Jul 23 2022 barjac <barjac> 6.2.7-1.mga9
+ Revision: 1870459
- new version 6.2.7

* Wed Jun 29 2022 tv <tv> 6.2.6-1.mga9
+ Revision: 1866547
- Update to 6.2.6

* Tue May 03 2022 barjac <barjac> 6.2.5-1.mga9
+ Revision: 1855665
- new version 6.2.5
- Also recommend lsp-plugins for aarch64 build

* Tue Mar 15 2022 barjac <barjac> 6.2.4-1.mga9
+ Revision: 1791809
- new package easyeffects

